# $Revision: 1.5 $, $Date: 2001/12/19 04:13:09 $
Summary:	smtp.proxy is an application level gateway for the SMTP protocol
Summary(pl):	smtp.proxy jest aplikacyjn bramk dla protokou SMTP
Name:		smtpproxy
Version:	1.1.3
Release:	2
License:	GPL
Group:		Applications/Networking
Group(de):	Applikationen/Netzwerkwesen
Group(pl):	Aplikacje/Sieciowe
Source0:	http://www.quietsche-entchen.de/download/%{name}-%{version}.tar.gz
Source1:	%{name}.inetd
Prereq:		rc-inetd >= 0.8.1
URL:		http://www.quietsche-entchen.de/software/smtp.proxy.html
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Conflicts:	proxytools

%description
smtp.proxy is an application level gateway for the SMTP protocol based
on the specification in RFC 821. It also supports some commands that
came with later RFCs. Unlike generic TCP proxys smtp.proxy looks into
the data streams it forward and watches over the protocol.

%description -l pl
smtp.proxy jest aplikacyjn bramk dla protokou SMTP. W odrnieniu
od innych tego typu programw, smtpproxy nadzoruje transmisj
sprawdzajc czy klient i serwer speniaj specyfikacj protokou (RFC
821).

%prep
%setup -q

%build
%{__make} \
	CC=%{__cc} \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man1,/etc/sysconfig/rc-inetd}

install smtp.proxy $RPM_BUILD_ROOT%{_sbindir}
install smtp.proxy.1 $RPM_BUILD_ROOT%{_mandir}/man1

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/smtpproxy

gzip -9nf README rfc821.txt 

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload 1>&2
else
	echo "Type \"/etc/rc.d/init.d/rc-inetd start\" to start inet server" 1>&2
fi

%postun
if [ "$1" = "0" -a -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload
fi
    
%files
%defattr(644,root,root,755)
%doc *.gz
%attr(640,root,root) %config %verify(not size mtime md5) /etc/sysconfig/rc-inetd/smtpproxy
%attr(755,root,root) %{_sbindir}/smtp.proxy
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: smtpproxy.spec,v $
Revision 1.5  2001/12/19 04:13:09  kloczek
- cosmetics.

Revision 1.4  2001/12/13 09:17:59  qboosh
- fixed typos, Conflicts: proxytools

Revision 1.3  2001/12/12 20:03:30  blues
- release 2
- URL added

Revision 1.2  2001/12/03 09:24:02  qboosh
- cosmetics, Prereq: rc-inetd

Revision 1.1  2001/12/03 02:47:07  speedy
- removed proxytools [all in one]
- added ftpproxy, smtpproxy
